Docs

Get Location Types

GET /location-types

GET/location-types

Lists the organization's location types with their sections and the properties assigned to each section. Uses the organization from the organization token and needs the organization admin permission.

Response

Type: GetLocationTypeResponse[]

GetLocationTypeResponse

FieldTypeDescription
iduuid
namestring| null
iconstring| null
colorstring| null
isArchivedboolean
sectionsGetLocationTypeResponseSectionInfo[]| null

GetLocationTypeResponseSectionInfo

FieldTypeDescription
iduuid
namestring| null
indexinteger
propertiesGetLocationTypeResponsePropertyAssignmentInfo[]| null

GetLocationTypeResponsePropertyAssignmentInfo

FieldTypeDescription
propertyIduuid
namestring| null
typestring| null
indexinteger
optionsGetLocationTypeResponseOptionInfo[]| null